Bug 1244442 - [abrt] WARNING: CPU: 0 PID: 4365 at drivers/net/wireless/iwlwifi/pcie/trans.c:1428 iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]() [iwlwifi] [NEEDINFO]
Summary: [abrt] WARNING: CPU: 0 PID: 4365 at drivers/net/wireless/iwlwifi/pcie/trans.c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df1a00b903221a3d9f9eee44047...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-18 21:52 UTC by satellitgo
Modified: 2016-10-26 16:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:55:52 UTC
Type: ---
labbott: needinfo? (satellitgo)


Attachments (Terms of Use)
File: dmesg (104.79 KB, text/plain)
2015-07-18 21:52 UTC, satellitgo
no flags Details

Description satellitgo 2015-07-18 21:52:29 UTC
Description of problem:
f23 workstation install to GPT boot in intel NUC i3

Additional info:
reporter:       libreport-2.6.1
WARNING: CPU: 0 PID: 4365 at drivers/net/wireless/iwlwifi/pcie/trans.c:1428 iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: btrfs xfs libcrc32c fcoe libfcoe libfc scsi_transport_fc iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi sha256_ssse3 dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 ccm cmac rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw
 bnep arc4 iwldvm mac80211 intel_rapl iosf_mbi x86_pkg_temp_thermal snd_soc_rt5640 coretemp iTCO_wdt iTCO_vendor_support snd_soc_rl6231 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_soc_core ir_nec_decoder snd_compress snd_pcm_dmaengine ac97_bus snd_hwdep snd_seq snd_seq_device snd_pcm ir_xmp_decoder ir_rc6_decoder snd_timer snd ir_lirc_codec btusb lirc_dev ir_mce_kbd_decoder ir_jvc_decoder ir_sony_decoder btrtl ir_rc5_decoder ir_sanyo_decoder ir_sharp_decoder btbcm rc_rc6_mce kvm_intel nuvoton_cir rc_core iwlwifi btintel snd_soc_sst_acpi bluetooth kvm cfg80211 soundcore rfkill shpchp lpc_ich tpm_tis tpm i2c_hid sdhci_acpi sdhci mmc_core dw_dmac dw_dmac_core i2c_designware_platform i2c_i801 i2c_designware_core nfsd auth_rpcgss
 nfs_acl lockd grace isofs squashfs 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm e1000e ghash_clmulni_intel ptp pps_core video uas usb_storage scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc loop
CPU: 0 PID: 4365 Comm: kworker/u8:2 Not tainted 4.2.0-0.rc2.git1.1.fc23.x86_64 #1
Hardware name:                  /D34010WYK, BIOS WYLPT10H.86A.0021.2013.1017.1606 10/17/2013
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000000 00000000670c640d ffff88013672b698 ffffffff8176d900
 0000000000000000 ffff88013672b6f0 ffff88013672b6d8 ffffffff8109c7e6
 0000000000000030 ffff8802150f8000 0000000000000000 ffff8802150fb5b8
Call Trace:
 [<ffffffff8176d900>] dump_stack+0x45/0x57
 [<ffffffff8109c7e6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109c875>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0462657>] iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]
 [<ffffffffa0454379>] iwl_write_prph+0x39/0x80 [iwlwifi]
 [<ffffffffa04545ba>] iwl_force_nmi+0x2a/0x70 [iwlwifi]
 [<ffffffffa045f469>] iwl_trans_pcie_send_hcmd+0x539/0x5a0 [iwlwifi]
 [<ffffffff810dd3c0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa086462e>] iwl_dvm_send_cmd+0x5e/0x120 [iwldvm]
 [<ffffffffa086880d>] iwl_send_add_sta+0xed/0x130 [iwldvm]
 [<ffffffffa086ad7a>] iwl_sta_rx_agg_stop+0xfa/0x150 [iwldvm]
 [<ffffffffa085e4e4>] iwlagn_mac_ampdu_action+0x1c4/0x310 [iwldvm]
 [<ffffffffa078cfc8>] ___ieee80211_stop_rx_ba_session+0x118/0x240 [mac80211]
 [<ffffffff81773b4a>] ? _raw_write_unlock_bh+0x1a/0x20
 [<ffffffffa078d13f>] __ieee80211_stop_rx_ba_session+0x4f/0x70 [mac80211]
 [<ffffffffa078ac86>] ieee80211_sta_tear_down_BA_sessions+0x56/0x70 [mac80211]
 [<ffffffffa07819e4>] __sta_info_destroy_part1+0x54/0x430 [mac80211]
 [<ffffffff810fd990>] ? __call_rcu+0x350/0x350
 [<ffffffffa0784c9a>] __sta_info_flush+0x14a/0x1b0 [mac80211]
 [<ffffffffa07c9eba>] ieee80211_set_disassoc+0xba/0x3c0 [mac80211]
 [<ffffffffa07ca1f8>] ieee80211_sta_connection_lost+0x38/0x70 [mac80211]
 [<ffffffffa07ccd13>] ieee80211_sta_work+0x203/0x1390 [mac80211]
 [<ffffffff810cf23b>] ? update_curr+0xfb/0x130
 [<ffffffff810cec44>] ? account_entity_dequeue+0xa4/0xc0
 [<ffffffff810d11bd>] ? dequeue_entity+0x11d/0x5f0
 [<ffffffff810d299e>] ? set_next_entity+0x6e/0x400
 [<ffffffffa0792d1a>] ieee80211_iface_work+0x36a/0x3f0 [mac80211]
 [<ffffffff810b480e>] process_one_work+0x19e/0x3f0
 [<ffffffff810b4aae>] worker_thread+0x4e/0x450
 [<ffffffff810b4a60>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810b4a60>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810baaf8>] kthread+0xd8/0xf0
 [<ffffffff810baa20>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817743df>] ret_from_fork+0x3f/0x70
 [<ffffffff810baa20>] ? kthread_worker_fn+0x160/0x160

Potential duplicate: bug 1197171

Comment 1 satellitgo 2015-07-18 21:52:32 UTC
Created attachment 1053441 [details]
File: dmesg

Comment 2 satellitgo 2015-07-26 22:05:53 UTC
Description of problem:
try to turn on wireless

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.0-0.rc3.git4.1.fc23.x86_64 root=/dev/mapper/fedora00-root ro rd.lvm.lv=fedora00/root rd.lvm.lv=fedora00/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.2.0-0.rc3.git4.1.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1341 at drivers/net/wireless/iwlwifi/pcie/trans.c:1428 iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: cmac rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_filter ebtable_broute bridge stp llc ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle iptable_raw bnep arc4 iwldvm mac80211 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm iwlwifi iTCO_wdt btusb btrtl iTCO_vendor_support snd_soc_rt5640 cfg80211 snd_soc_rl6231 crct10dif_pclmul btbcm snd_soc_core crc32_pclmul snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi btintel snd_hda_intel bluetooth snd_hda_codec snd_hda_core crc32c_intel ghash_clmulni_intel snd_compress
 snd_pcm_dmaengine rfkill ac97_bus snd_hwdep snd_seq snd_seq_device nuvoton_cir rc_core snd_pcm tpm_tis tpm dw_dmac mei_me dw_dmac_core snd_timer snd_soc_sst_acpi mei shpchp i2c_designware_platform i2c_i801 i2c_designware_core snd lpc_ich soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 uas usb_storage i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 2 PID: 1341 Comm: wpa_supplicant Not tainted 4.2.0-0.rc3.git4.1.fc23.x86_64 #1
Hardware name:                  /D34010WYK, BIOS WYLPT10H.86A.0021.2013.1017.1606 10/17/2013
 0000000000000000 0000000035a0c6cf ffff88020c57b668 ffffffff8176dbe0
 0000000000000000 ffff88020c57b6c0 ffff88020c57b6a8 ffffffff8109c7e6
 0000000000000030 ffff88021532c000 0000000000000000 ffff88021532fcb8
Call Trace:
 [<ffffffff8176dbe0>] dump_stack+0x45/0x57
 [<ffffffff8109c7e6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109c875>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0630067>] iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]
 [<ffffffffa0622379>] iwl_write_prph+0x39/0x80 [iwlwifi]
 [<ffffffffa06225ba>] iwl_force_nmi+0x2a/0x70 [iwlwifi]
 [<ffffffffa062ce79>] iwl_trans_pcie_send_hcmd+0x539/0x5a0 [iwlwifi]
 [<ffffffff810dd3b0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa07cd62e>] iwl_dvm_send_cmd+0x5e/0x120 [iwldvm]
 [<ffffffffa07d7595>] iwl_scan_initiate+0x8b5/0xe50 [iwldvm]
 [<ffffffffa07c7846>] iwlagn_mac_hw_scan+0x96/0x120 [iwldvm]
 [<ffffffffa06f1088>] __ieee80211_start_scan+0x268/0x610 [mac80211]
 [<ffffffffa06f1fc0>] ieee80211_request_scan+0x30/0x50 [mac80211]
 [<ffffffffa0701e05>] ieee80211_scan+0x65/0xa0 [mac80211]
 [<ffffffffa057cc5d>] nl80211_trigger_scan+0x46d/0x720 [cfg80211]
 [<ffffffff81691e11>] genl_family_rcv_msg+0x1b1/0x3c0
 [<ffffffff8164942b>] ? __alloc_skb+0x9b/0x210
 [<ffffffff81692020>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff81692096>] genl_rcv_msg+0x76/0xb0
 [<ffffffff81691598>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff81691c4c>] genl_rcv+0x2c/0x40
 [<ffffffff81690d67>] netlink_unicast+0x127/0x1a0
 [<ffffffff81691287>] netlink_sendmsg+0x4a7/0x600
 [<ffffffff81640b58>] sock_sendmsg+0x38/0x50
 [<ffffffff816414eb>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff810ab0c4>] ? signal_setup_done+0x74/0xc0
 [<ffffffff810209eb>] ? __fpu__restore_sig+0xbb/0x400
 [<ffffffff810144c3>] ? do_signal+0x1b3/0x6b0
 [<ffffffff81641fa7>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81642002>] SyS_sendmsg+0x12/0x20
 [<ffffffff817742ee>] entry_SYSCALL_64_fastpath+0x12/0x71

Comment 3 Laura Abbott 2016-09-23 19:47:10 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Laura Abbott 2016-10-26 16:55:52 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.